GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/x86-bsd-nat.h File Reference

Go to the source code of this file.

## Functions
struct target_ops * | x86bsd_target (void)

## Variables
size_t | x86bsd_xsave_len

## Function Documentation

## ◆ x86bsd_target()

struct target_ops* x86bsd_target | ( | void |  | ) |

Definition at line 141 of file x86-bsd-nat.c.

References x86_dr_low_type::get_addr, x86_dr_low_type::get_control, x86_dr_low_type::get_status, inf_ptrace_target(), x86_dr_low_type::set_addr, x86_dr_low_type::set_control, target_ops::to_mourn_inferior, x86_dr_low, x86_set_debug_register_length(), and x86_use_watchpoints().

Referenced by amd64bsd_target(), and i386bsd_target().

## Variable Documentation

## ◆ x86bsd_xsave_len

size_t x86bsd_xsave_len

Referenced by amd64bsd_fetch_inferior_registers(), amd64bsd_store_inferior_registers(), amd64fbsd_read_description(), i386bsd_fetch_inferior_registers(), and i386bsd_store_inferior_registers().